about summary refs log tree commit diff
path: root/configure
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-02-11 03:09:51 -0500
committerJune McEnroe <june@causal.agency>2020-02-11 03:09:51 -0500
commit172cd57099e06c8901770542fa61dd3e13d5c832 (patch)
treeeef0ec83fb9dcd26e6f999ffdc383d20017696d6 /configure
parentMerge branch 'rewrite' (diff)
downloadcatgirl-172cd57099e06c8901770542fa61dd3e13d5c832.tar.gz
catgirl-172cd57099e06c8901770542fa61dd3e13d5c832.zip
Use pkg(8) to configure on FreeBSD
Diffstat (limited to '')
-rwxr-xr-xconfigure15
1 files changed, 15 insertions, 0 deletions
diff --git a/configure b/configure
index 90e1173..d230f4c 100755
--- a/configure
+++ b/configure
@@ -1,6 +1,21 @@
 #!/bin/sh
 set -eu
 
+case "$(uname)" in
+	(FreeBSD)
+		if ! pkg info -e libressl; then
+			echo 'LibreSSL required'
+			exit 1
+		fi
+		prefix=$(pkg query '%p' libressl)
+		cat >config.mk <<-EOF
+		CFLAGS += -I${prefix}/include
+		LDFLAGS += -L${prefix}/lib
+		EOF
+		exit
+		;;
+esac
+
 libs='libcrypto libtls ncursesw'
 pkg-config --print-errors $libs
 
t. 2020-09-11Use MacPorts rather than pkgsrcJune McEnroe My system is probably such a mess now... 2020-09-11Add debian VM name to sshJune McEnroe 2020-09-11Add influencer tweetJune McEnroe 2020-09-10Add The Kingdom of GodsJune McEnroe Reading has really slowed down :( 2020-09-07Add SunglassesJune McEnroe An IRC find. 2020-09-06Add Between the BreathsJune McEnroe One of those good songs from a soundtrack of a film that probably isn't? The summary sounds a lot more interesting than the title implies, at least. 2020-09-04Open /dev/tty in nudgeJune McEnroe This makes it work even when it's run connected to a pipe, i.e. as the notify command of catgirl... 2020-09-04Add nudgeJune McEnroe 2020-09-03Build fbclock with -lzJune McEnroe I guess this got lost somewhere, long ago... 2020-08-29Add tweets from retweetsJune McEnroe